{% extends 'baseDashboard.html.twig' %}

{% block title %}New Annonce{% endblock %}
{% block body %}


    <div class="breadcrumbs">

        <div class="breadcrumbs-inner">
            <div class="row m-0">
                <div class="col-sm-4">
                    <div class="page-header float-left">

                    </div>
                </div>
                <div class="col-sm-8">
                    <div class="page-header float-right">

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="content">
        <div class="animated fadeIn">
            <div class="row">
                <div class="col-lg-12">

                    <div class="card">
                        <div class="card-header"><strong>Ajouter</strong>
                            <small>Annonce</small>
                        </div>
                        <div class="card-body card-block">
                           {# {% set flashbag_notices = app.session.flashbag.get('annonce') %}
                            {% if flashbag_notices in not empty %}
                            <div class="alert alert-success">
                            {% for annonce in flashbag_notices %}
                                {{ annonce }}
                                </div>
                            {% endfor %}
                            {% endif %}#}
                            <div class="form-group">
                                <select name="sweets" id="sweets" onchange="choisir()">
                                    <option>Appartement</option>
                                    <option>Maison</option>
                                    <option>Villa</option>
                                    <option>Terrain Agricole</option>
                                    <option>Terrain Industriel</option>
                                    <option>Terrain Constructible</option>
                                    <option>Local Commercial</option>
                                    <option >Studio</option>
                                </select>

                                <div id="0" style="display: none" class="form-group">
                                    <form method="post" data-parsley-validate enctype="multipart/form-data">

                                        {{ form_row(formAppartement.typeAction) }}
                                        {{ form_row(formAppartement.prix) }}
                                        {{ form_row(formAppartement.ville) }}
                                        {{ form_row(formAppartement.adresse) }}
                                        {{ form_row(formAppartement.surface) }}
                                        {{ form_row(formAppartement.titreFinancier) }}
                                        {{ form_row(formAppartement.fraisAgence) }}
                                        {{ form_row(formAppartement.nbrEtage) }}
                                        {{ form_row(formAppartement.options) }}
                                        {{ form_row(formAppartement.ContactEmail) }}
                                        {{ form_row(formAppartement.ContactTel) }}
                                        {{ form_rest(formAppartement) }}
                                        <br><br>
                                        <label>Ajouter des images</label>
                                        <input type="file" name="pic[]" accept="image/*" multiple>
                                        <br><br>
                                        <label>Ajouter photo </label>
                                        <input type="file" name="picProfil" accept="image/*">
                                        <br><br>
                                        <br><br>
                                        <div class="row">
                                            <div class="col-12">
                                                <div class="listings-maps mt-100">
                                                    <div id="googleMap"></div>
                                                </div>
                                            </div>
                                        </div>
                                        <input type="text" name="maap" id="cordonnees" hidden>
                                        <br><br>
                                        <input type="submit" value="Envoyer" class="btn btn-secondary">
                                    </form>
                                </div>
                                <div id="1" style="display: none" class="form-group">
                                    <form method="post" data-parsley-validate enctype="multipart/form-data">

                                        {{ form_row(formMaison.typeAction) }}

                                        {{ form_row(formMaison.prix) }}
                                        {{ form_row(formMaison.ville) }}
                                        {{ form_row(formMaison.adresse) }}
                                        {{ form_row(formMaison.surface) }}
                                        {{ form_row(formMaison.titreFinancier) }}
                                        {{ form_row(formMaison.fraisAgence) }}
                                        {{ form_row(formMaison.nbrPieces) }}
                                        {{ form_row(formMaison.options) }}
                                        {{ form_row(formMaison.ContactEmail) }}
                                        {{ form_row(formMaison.ContactTel) }}
                                        {{ form_rest(formMaison) }}
                                        <br><br>
                                        <label>Ajouter des images</label>
                                        <input type="file" name="picMaison[]" accept="image/*" multiple>
                                        <br><br>
                                        <label>Ajouter photo </label>
                                        <input type="file" name="picProfilMaison" accept="image/*">
                                        <br><br>
                                        <input type="submit" value="Envoyer" class="btn btn-secondary">
                                    </form>

                                </div>
                                <div id="2" style="display: none">

                                    <form method="post" data-parsley-validate enctype="multipart/form-data">

                                        {{ form_row(formVilla.typeAction) }}
                                        {{ form_row(formVilla.prix) }}
                                        {{ form_row(formVilla.ville) }}
                                        {{ form_row(formVilla.adresse) }}
                                        {{ form_row(formVilla.surface) }}
                                        {{ form_row(formVilla.titreFinancier) }}
                                        {{ form_row(formVilla.mandatExlusive) }}
                                        {{ form_row(formVilla.fraisAgence) }}
                                        {{ form_row(formVilla.nbrPieces) }}
                                        {{ form_row(formVilla.options) }}
                                        {{ form_row(formVilla.ContactEmail) }}
                                        {{ form_row(formVilla.ContactTel) }}
                                        {{ form_rest(formVilla) }}
                                        <br><br>
                                        <label>Ajouter des images</label>
                                        <input type="file" name="picVilla[]" accept="image/*" multiple>
                                        <br><br>
                                        <label>Ajouter photo </label>
                                        <input type="file" name="picProfilVilla" accept="image/*">
                                        <br><br>
                                        <input type="submit" value="Envoyer" class="btn btn-secondary">
                                    </form>

                                </div>
                                <div id="3" style="display: none">
                                    <form method="post" data-parsley-validate enctype="multipart/form-data">

                                        {{ form_row(formTerrainAgricole.typeAction) }}
                                        {{ form_row(formTerrainAgricole.prix) }}
                                        {{ form_row(formTerrainAgricole.ville) }}
                                        {{ form_row(formTerrainAgricole.adresse) }}
                                        {{ form_row(formTerrainAgricole.surface) }}
                                        {{ form_row(formTerrainAgricole.titreFinancier) }}
                                        {{ form_row(formTerrainAgricole.mandatExlusive) }}
                                        {{ form_row(formTerrainAgricole.fraisAgence) }}
                                        {{ form_row(formTerrainAgricole.options) }}
                                        {{ form_row(formTerrainAgricole.ContactEmail) }}
                                        {{ form_row(formTerrainAgricole.ContactTel) }}
                                        {{ form_rest(formTerrainAgricole) }}
                                        <br><br>
                                        <label>Ajouter des images</label>
                                        <input type="file" name="picAgrico[]" accept="image/*" multiple>
                                        <br><br>
                                        <label>Ajouter photo </label>
                                        <input type="file" name="picProfilAgricole" accept="image/*">
                                        <br><br>
                                        <input type="submit" value="Envoyer" class="btn btn-secondary">
                                    </form>

                                </div>
                                <div id="4" style="display: none">

                                    <form method="post" data-parsley-validate enctype="multipart/form-data">

                                        {{ form_row(formTerrainIndustriel.typeAction) }}

                                        {{ form_row(formTerrainIndustriel.prix) }}
                                        {{ form_row(formTerrainIndustriel.ville) }}
                                        {{ form_row(formTerrainIndustriel.adresse) }}
                                        {{ form_row(formTerrainIndustriel.surface) }}
                                        {{ form_row(formTerrainIndustriel.titreFinancier) }}
                                        {{ form_row(formTerrainIndustriel.mandatExlusive) }}
                                        {{ form_row(formTerrainIndustriel.fraisAgence) }}
                                        {{ form_row(formTerrainIndustriel.options) }}
                                        {{ form_row(formTerrainIndustriel.ContactEmail) }}
                                        {{ form_row(formTerrainIndustriel.ContactTel) }}
                                        {{ form_rest(formTerrainIndustriel) }}
                                        <br><br>
                                        <label>Ajouter des images</label>
                                        <input type="file" name="picIndus[]" accept="image/*" multiple>
                                        <br><br>
                                        <label>Ajouter photo </label>
                                        <input type="file" name="picProfilIndustriel" accept="image/*">
                                        <br><br>
                                        <input type="submit" value="Envoyer" class="btn btn-secondary">
                                    </form>

                                </div>
                                <div id="5" style="display: none">

                                    <form method="post" data-parsley-validate enctype="multipart/form-data">

                                        {{ form_row(formTerrainConstructible.typeAction) }}

                                        {{ form_row(formTerrainConstructible.prix) }}
                                        {{ form_row(formTerrainConstructible.ville) }}
                                        {{ form_row(formTerrainConstructible.adresse) }}
                                        {{ form_row(formTerrainConstructible.surface) }}
                                        {{ form_row(formTerrainConstructible.titreFinancier) }}
                                        {{ form_row(formTerrainConstructible.mandatExlusive) }}
                                        {{ form_row(formTerrainConstructible.fraisAgence) }}
                                        {{ form_row(formTerrainConstructible.options) }}
                                        {{ form_row(formTerrainConstructible.ContactEmail) }}
                                        {{ form_row(formTerrainConstructible.ContactTel) }}
                                        {{ form_rest(formTerrainConstructible) }}
                                        <br><br>
                                        <label>Ajouter des images</label>
                                        <input type="file" name="picConstructible[]" accept="image/*" multiple>
                                        <br><br>
                                        <label>Ajouter photo </label>
                                        <input type="file" name="picProfilConstuctible" accept="image/*">
                                        <br><br>
                                        <input type="submit" value="Envoyer" class="btn btn-secondary">
                                    </form>

                                </div>


                                <div id="6" style="display: none">

                                    <form method="post" data-parsley-validate enctype="multipart/form-data">
                                        {{ form_errors(formLocalCommercial) }}
                                        {{ form_row(formLocalCommercial.typeAction) }}

                                        {{ form_row(formLocalCommercial.prix) }}
                                        {{ form_row(formLocalCommercial.ville) }}
                                        {{ form_row(formLocalCommercial.adresse) }}
                                        {{ form_row(formLocalCommercial.surface) }}
                                        {{ form_row(formLocalCommercial.titreFinancier) }}
                                        {{ form_row(formLocalCommercial.mandatExlusive) }}
                                        {{ form_row(formLocalCommercial.fraisAgence) }}
                                        {{ form_row(formLocalCommercial.options) }}
                                        {{ form_row(formLocalCommercial.ContactEmail) }}
                                        {{ form_row(formLocalCommercial.ContactTel) }}
                                        {{ form_rest(formLocalCommercial) }}
                                        <br><br>
                                        <label>Ajouter des images</label>
                                        <input type="file" name="picCommercial[]" accept="image/*" multiple>
                                        <br><br>
                                        <label>Ajouter photo </label>
                                        <input type="file" name="picProfilLocal" accept="image/*">
                                        <br><br>
                                        <input type="submit" value="Envoyer" class="btn btn-secondary">
                                    </form>

                                </div>
                                <div id="7" style="display: none">

                                    <form method="post" data-parsley-validate enctype="multipart/form-data">
                                      {{ form_row(formStudio.typeAction) }}

                                        {{ form_row(formStudio.prix) }}
                                        {{ form_row(formStudio.ville) }}
                                        {{ form_row(formStudio.adresse) }}
                                        {{ form_row(formStudio.surface) }}
                                        {{ form_row(formStudio.titreFinancier) }}
                                        {{ form_row(formStudio.mandatExlusive) }}
                                        {{ form_row(formStudio.fraisAgence) }}
                                        {{ form_row(formStudio.options) }}
                                        {{ form_row(formStudio.ContactEmail) }}
                                        {{ form_row(formStudio.ContactTel) }}
                                        {{ form_rest(formStudio) }}
                                        <br><br>
                                        <label>Ajouter des images</label>
                                        <input type="file" name="picStudio[]" accept="image/*" multiple>
                                        <br><br>
                                        <label>Ajouter photo </label>
                                        <input type="file" name="picProfilStudio" accept="image/*">
                                        <br><br>
                                        <input type="submit" value="Envoyer" class="btn btn-secondary">
                                    </form>

                                </div>

                                <br><br>
                                <a href="{{ path('annonce_index') }}">back to list</a>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


{% endblock %}

    {% block script %}
        {{ parent() }}

        <script type="text/javascript">

            var map;
            var tabMarqueurs = new Array();

            function initMap() {

                var latlng = new google.maps.LatLng(35.72420471925794, 10.72610628124994);
                //objet contenant des propriétés avec des identificateurs prédéfinis dans Google Maps permettant
                //de définir des options d'affichage de notre carte
                var options = {
                    center: latlng,
                    zoom: 12,
                    mapTypeId: google.maps.MapTypeId.ROADMAP
                };


                //constructeur de la carte qui prend en paramêtre le conteneur HTML
                //dans lequel la carte doit s'afficher et les options
                var carte = new google.maps.Map(document.getElementById("googleMap"), options);


                //tableau contenant tous les marqueurs que nous créerons
                var blHorsZone = true;
                var blChoix = false;


                //notez la présence de l'argument "event" entre les parenthèses de "function()"
                google.maps.event.addListener(carte, 'click', function (event) {
                    if (blChoix == true){
                        if (confirm("Voulez-vous annulé votre choix?")) {
                            blChoix = false;
                            setMapOnAll(null);
                            tabMarqueurs = [];

                        }
                    } else {
                        var longitude = event.latLng.lng();
                        var latitude = event.latLng.lat();
                        console.log(longitude);
                        console.log(latitude);
                        if (((longitude > 10.967452 ) || (longitude < 10.646406)) || ((latitude > 35.783744)) || ((latitude < 35.495911))) {
                            blHorsZone = false;
                        }
                        if (blHorsZone == false) {

                            alert("La position est hors zone");//message d'alerte
                        } else {
                            alert("La position de votre annonce a était bien choisi");//message d'alerte
                            document.getElementById('cordonnees').value = event.latLng;

                            tabMarqueurs.push(new google.maps.Marker({
                                position: event.latLng,//coordonnée de la position du clic sur la carte
                                map: carte//la carte sur laquelle le marqueur doit être affiché
                            }));
                        }
                        blChoix = true;
                    }



                });

                /********************************************/

            }
            function setMapOnAll(map) {
                for (var i = 0; i < tabMarqueurs.length; i++) {
                    tabMarqueurs[i].setMap(map);
                }
            }


            var id = '{{ id }}';
            document.getElementById("sweets").selectedIndex = id;
            document.getElementById(id).style.display = 'block';

            function choisir() {
                var ch = document.getElementById("sweets").selectedIndex;
                document.getElementById(0).style.display = 'none';
                document.getElementById(1).style.display = 'none';
                document.getElementById(2).style.display = 'none';
                document.getElementById(3).style.display = 'none';
                document.getElementById(4).style.display = 'none';
                document.getElementById(5).style.display = 'none';
                document.getElementById(6).style.display = 'none';
                document.getElementById(7).style.display = 'none';
                document.getElementById(ch).style.display = 'block';

            }
        </script>
        <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDRqhJr6geFoARFVIMhljeyZyKZ5JkHWGE&callback=initMap"
                async defer></script>
    {% endblock %}
